document.addEventListener('DOMContentLoaded', function () {
  var uploadbtn = document.getElementById('upload'),
  	  checkbox = document.getElementById('checkbox');

  uploadbtn.onchange = function(){
  	var file = this.files[0];
  	if(!/image\/\w+/.test(file.type)){
        alert("请确保文件为图像类型");
        return false;
    }
    var reader = new FileReader();
    reader.readAsDataURL(file);
    reader.onload = function(e){
    	var result = this.result;

    	//向content_scripts脚本发送消息
        chrome.tabs.query({active: true, currentWindow: true}, function(tabs){

           chrome.tabs.sendMessage(tabs[0].id,{'coverpsd':result}, function(response) {
           		console.log(response);
           });  

        });
        //刷新当前页面,1秒后刷新页面，因为立即刷新会有问题
        chrome.tabs.executeScript(null,{code:"setTimeout(function(){window.location.reload()},1000)"	});
  		window.close();
    }
  }

  checkbox.onchange = function(){
  	//向content_scripts脚本发送消息
    chrome.tabs.query({active: true, currentWindow: true}, function(tabs){

       chrome.tabs.sendMessage(tabs[0].id,{'notinsert':true}, function(response) {
       		console.log(response);
       });  

    });
  	//刷新当前页面,1秒后刷新页面，因为立即刷新会有问题
    chrome.tabs.executeScript(null,{code:"setTimeout(function(){window.location.reload()},1000)"	});
  	window.close();
  }
});